#!/usr/bin/perl

BEGIN: {
    use File::Basename;
    use lib dirname($0);
    use sfProps;
}
# Create a new cliserver user/group.

my $sfConfig = sfProps->new();
my $cliData  = $sfConfig->get('app.data') . "/cliserver";
my $uid      = getpwnam('cliserver');
my $gid      = getgrnam('cliserver');

if ( !$gid ) {
    system("groupadd cliserver");
    $gid = getgrnam('cliserver');
}

if ( !$uid ) {
    system("useradd -g $gid -M cliserver");
}

die "Failed to create cliserver user\n"  unless( getpwnam('cliserver') );
die "Failed to create cliserver group\n" unless( getgrnam('cliserver') );

system("usermod -s /sbin/nologin cliserver");

if ( ! -d $cliData ) {
    mkdir $cliData or die "Failed to create $cliData: $!\n";
}

if ( ! -d "$cliData/cli" ) {
    mkdir "$cliData/cli" or die "Failed to create $cliData/cli: $!\n";
}

my $user  = $sfConfig->get('httpd.user');
my $group = $sfConfig->get('httpd.group');

system("chown $user.$group $cliData");
system("chown $user.$group $cliData/cli");

# Copy protocols into local etc to stage for deployment into cliserver/etc
system("cp /etc/protocols etc/");
